org.apache.tomcat.jni

## Class Sockaddr

- java.lang.Object
- - org.apache.tomcat.jni.Sockaddr

    public class Sockaddr
    extends Object

Sockaddr

Author:
  Mladen Turk

### Field Summary

Fields
`int` `family` The family
`String` `hostname` The hostname
`long` `next` If multiple addresses were found by apr_sockaddr_info_get(), this points to a representation of the next address.
`long` `pool` The pool to use...
`int` `port` The numeric port
`String` `servname` Either a string of the port number or the service name for the port

### Constructor Summary

Constructors
Constructor and Description
`Sockaddr()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pool

    public long pool

The pool to use...

#### hostname

    public String hostname

The hostname

#### servname

    public String servname

Either a string of the port number or the service name for the port

#### port

    public int port

The numeric port

#### family

    public int family

The family

#### next

    public long next

If multiple addresses were found by apr_sockaddr_info_get(), this points to a representation of the next address.

### Constructor Detail

#### Sockaddr

    public Sockaddr()